[问题]请教zhcon安装问题——如何编译源码包?(已解决)

为当前最终发行版之前的所有版本提供支持
回复
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

[问题]请教zhcon安装问题——如何编译源码包?(已解决)

#1

帖子 十方俱灭 » 2007-10-22 13:21

http://blog.chinaunix.net/u/29238/showart_227904.html

我是参照这个文章进行操作的,但是现在操作到了
(5)安装三部曲
./configure
make
make install
时,出现出错如图

同时请教,安装完成后,是否需要什么配置需要修改?
附件
zhcon.png
上次由 十方俱灭 在 2007-10-22 16:30,总共编辑 1 次。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-10-22 13:25

1. 控制台下用中文是很无聊的事情, 请用X下的终端
2. 源里面有 zhcon
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
windwiny
帖子: 2254
注册时间: 2007-03-13 17:26
送出感谢: 0
接收感谢: 1 次

#3

帖子 windwiny » 2007-10-22 13:45

最后一行就出错了,,没在 路径里找到C编译器
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#4

帖子 十方俱灭 » 2007-10-22 14:23

源里面找不到,请大家帮忙看看
附件
sources.rar
源配置与出错记录
(1.61 KiB) 下载 4 次
apt.png
apt.png (2.78 KiB) 查看 558 次
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#5

帖子 十方俱灭 » 2007-10-22 14:24

windwiny 写了:最后一行就出错了,,没在 路径里找到C编译器
请问我应该如何安装它?
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#6

帖子 bones7456 » 2007-10-22 14:26

十方俱灭 写了:
windwiny 写了:最后一行就出错了,,没在 路径里找到C编译器
请问我应该如何安装它?
换个源,cn99的里面就有.
关注我的blog: ε==3
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#7

帖子 十方俱灭 » 2007-10-22 14:29

请问源如何更换?

根据这个文章:
http://bbs.tech.ccidnet.com/simple/inde ... 65784.html

我在sources.list里加入了
deb http://ubuntu.cn99.com/ubuntu/ stable main non-free contrib

但是apt-get update的时候有如下返回
Ign http://ubuntu.cn99.com stable Release.gpg
Ign http://ubuntu.cn99.com stable Release
Ign http://ubuntu.cn99.com stable/main Packages
Ign http://ubuntu.cn99.com stable/non-free Packages
Ign http://ubuntu.cn99.com stable/contrib Packages
Err http://ubuntu.cn99.com stable/main Packages
404 Not Found
Err http://ubuntu.cn99.com stable/non-free Packages
404 Not Found
Err http://ubuntu.cn99.com stable/contrib Packages
404 Not Found
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#8

帖子 bones7456 » 2007-10-22 14:34

十方俱灭 写了:请问源如何更换?

根据这个文章:
http://bbs.tech.ccidnet.com/simple/inde ... 65784.html

我在sources.list里加入了
deb http://ubuntu.cn99.com/ubuntu/ stable main non-free contrib

但是apt-get update的时候有如下返回
Ign http://ubuntu.cn99.com stable Release.gpg
Ign http://ubuntu.cn99.com stable Release
Ign http://ubuntu.cn99.com stable/main Packages
Ign http://ubuntu.cn99.com stable/non-free Packages
Ign http://ubuntu.cn99.com stable/contrib Packages
Err http://ubuntu.cn99.com stable/main Packages
404 Not Found
Err http://ubuntu.cn99.com stable/non-free Packages
404 Not Found
Err http://ubuntu.cn99.com stable/contrib Packages
404 Not Found
不知道你是哪里找来的过时资料....cn99的gutsy源如下,注意,如果是其他版本,请自行替换掉gutsy:

代码: 全选

deb http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
上次由 bones7456 在 2007-10-23 12:34,总共编辑 1 次。
关注我的blog: ε==3
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#9

帖子 十方俱灭 » 2007-10-22 15:01

是从百度得到的资料
谢谢您的资料,我用的是server版,不知道您说的“如果是其他版本,请自行替换掉getsy”是什么意思
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#10

帖子 bones7456 » 2007-10-22 15:07

十方俱灭 写了:是从百度得到的资料
谢谢您的资料,我用的是server版,不知道您说的“如果是其他版本,请自行替换掉gutsy”是什么意思
看来你也得补充基础知识.
如果版本是7.10,就直接用,
如果版本是7.04,就把gutsy替换成feisty,
如果是6.06,就替换成dapper.
不要告诉我你不知道装的什么版本,不知道就执行 cat /etc/issue 看看.
上次由 bones7456 在 2007-10-23 12:35,总共编辑 1 次。
关注我的blog: ε==3
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#11

帖子 十方俱灭 » 2007-10-22 15:12

谢谢,我是刚刚接触linux

我装的是7.10 server版,getsy是否是版本的代号呢?

请问在哪里可以看到后面带的这些参数和对应的作用?

http://wiki.ubuntu.org.cn/index.php?tit ... d.29ubuntu

在wiki中的源都有feisty字样,是针对7.04的,如果要用这些源,只要把feisty换成getsy,其他不用管,这样理解对吗?
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#12

帖子 bones7456 » 2007-10-22 15:14

恩,对的
关注我的blog: ε==3
头像
十方俱灭
帖子: 18
注册时间: 2007-10-21 15:19
送出感谢: 0
接收感谢: 0

#13

帖子 十方俱灭 » 2007-10-22 15:36

麻烦您再帮忙看一下

图1-3是apt-get install zhcon

图4是apt-get dist-upgrade 的结果
附件
zhcon4.png
zhcon3.png
zhcon2.png
zhcon.png
回复

回到 “老旧版本支持”